#include <iostream>
using namespace std;
int main (){
int T, k=10, s=1;
cin>>T;
int n[T];
for (int i=0; i<T; i++)
cin>>n[i];
for (int i=1; i<T; i++){
s*=n[i]%k;
if (n[i]%k==n[i-1]%(k/10))
    s/=n[i]%k;
k*=10;
cout<<s;}
return 0;
}